<?php

namespace Database\Seeders;

use App\Models\LoanStatus;
use App\Models\PaymentStatus;
use Illuminate\Database\Seeder;

class GeneralSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        PaymentStatus::updateOrCreate(['id' => 1],[
            'title' => 'បានបង់រួច',
            'color' => '#008000',
        ]);
        PaymentStatus::updateOrCreate(['id' => 2],[
            'title' => 'បានបង់ខ្លះ',
            'color' => '#FF0000',
        ]);
        PaymentStatus::updateOrCreate(['id' => 3],[
            'title' => 'មិនទាន់បានបង់',
            'color' => '#0000FF',
        ]);
        PaymentStatus::updateOrCreate(['id' => 4],[
            'title' => 'កំពុងរងចាំ',
            'color' => '#FF5733',
        ]);
        PaymentStatus::updateOrCreate(['id' => 5],[
            'title' => 'បង់ខ្លះបានបង់ផ្ដាច់',
            'color' => '#FF5000',
        ]);
        PaymentStatus::updateOrCreate(['id' => 6],[
            'title' => 'បានបង់ផ្ដាច់រួច',
            'color' => '#FF5000',
        ]);
        PaymentStatus::updateOrCreate(['id' => 7],[
            'title' => 'បានលុប',
            'color' => 'red',
        ]);

        PaymentStatus::updateOrCreate(['id' => 8],[
            'title' => 'បានកាច់',
            'color' => '008000',
        ]);
        PaymentStatus::updateOrCreate(['id' => 9],[
            'title' => 'បានរំលស់ដើម',
            'color' => '008000',
        ]);

        LoanStatus::updateOrCreate(['id' => 1],[
            'title' => 'កំពុងរងចាំ',
            'color' => '#FF5000',
        ]);
        LoanStatus::updateOrCreate(['id' => 2],[
            'title' => 'បានអនុញ្ញាត',
            'color' => 'blue',
        ]);
        LoanStatus::updateOrCreate(['id' => 3],[
            'title' => 'បានបង់ដាច់',
            'color' => 'green',
        ]);
        LoanStatus::updateOrCreate(['id' => 4],[
            'title' => 'បានលុប',
            'color' => 'red',
        ]);
        LoanStatus::updateOrCreate(['id' => 5],[
            'title' => 'បញ្ជីខ្មៅ',
            'color' => '#000',
        ]);
    }
}
